Bug 986151 - [abrt] gnome-settings-daemon-3.9.3-1.fc20: _gdk_x11_display_error_event: Process /usr/libexec/gnome-settings-daemon was killed by signal 5 (SIGTRAP)
[abrt] gnome-settings-daemon-3.9.3-1.fc20: _gdk_x11_display_error_event: Proc...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:a9fe2a37ee2bb09445aa5436904...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 01:27 EDT by Christopher Meng
Modified: 2014-12-15 09:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1167296 1167301 (view as bug list)
Environment:
Last Closed: 2014-04-24 05:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.85 KB, text/plain)
2013-07-19 01:27 EDT, Christopher Meng
no flags Details
File: cgroup (159 bytes, text/plain)
2013-07-19 01:27 EDT, Christopher Meng
no flags Details
File: core_backtrace (332 bytes, text/plain)
2013-07-19 01:27 EDT, Christopher Meng
no flags Details
File: dso_list (14.13 KB, text/plain)
2013-07-19 01:27 EDT, Christopher Meng
no flags Details
File: environ (1.60 KB, text/plain)
2013-07-19 01:27 EDT, Christopher Meng
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-19 01:28 EDT, Christopher Meng
no flags Details
File: maps (47.70 KB, text/plain)
2013-07-19 01:28 EDT, Christopher Meng
no flags Details
File: open_fds (1.35 KB, text/plain)
2013-07-19 01:28 EDT, Christopher Meng
no flags Details
File: proc_pid_status (800 bytes, text/plain)
2013-07-19 01:28 EDT, Christopher Meng
no flags Details
File: var_log_messages (403 bytes, text/plain)
2013-07-19 01:28 EDT, Christopher Meng
no flags Details

  None (edit)
Description Christopher Meng 2013-07-19 01:27:30 EDT
Description of problem:
I was using Chrome under GNOME and suddenly the menu style changed to KDE style, I think gnome lib was crashed. After a few minutes back to the normal.

Version-Release number of selected component:
gnome-settings-daemon-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: _gdk_x11_display_error_event
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.11.0-0.rc0.git3.2.fc20.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2518
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #9 finish_selection_request at gsd-clipboard-manager.c:180
 #10 convert_clipboard at gsd-clipboard-manager.c:662
 #11 clipboard_manager_process_event at gsd-clipboard-manager.c:808
 #12 clipboard_manager_event_filter at gsd-clipboard-manager.c:824
 #13 gdk_event_apply_filters at gdkeventsource.c:81
 #14 gdk_event_source_translate_event at gdkeventsource.c:202
 #15 _gdk_x11_display_queue_events at gdkeventsource.c:338

Potential duplicate: bug 799920
Comment 1 Christopher Meng 2013-07-19 01:27:37 EDT
Created attachment 775628 [details]
File: backtrace
Comment 2 Christopher Meng 2013-07-19 01:27:41 EDT
Created attachment 775629 [details]
File: cgroup
Comment 3 Christopher Meng 2013-07-19 01:27:45 EDT
Created attachment 775630 [details]
File: core_backtrace
Comment 4 Christopher Meng 2013-07-19 01:27:50 EDT
Created attachment 775631 [details]
File: dso_list
Comment 5 Christopher Meng 2013-07-19 01:27:55 EDT
Created attachment 775632 [details]
File: environ
Comment 6 Christopher Meng 2013-07-19 01:28:00 EDT
Created attachment 775633 [details]
File: limits
Comment 7 Christopher Meng 2013-07-19 01:28:06 EDT
Created attachment 775634 [details]
File: maps
Comment 8 Christopher Meng 2013-07-19 01:28:11 EDT
Created attachment 775635 [details]
File: open_fds
Comment 9 Christopher Meng 2013-07-19 01:28:15 EDT
Created attachment 775636 [details]
File: proc_pid_status
Comment 10 Christopher Meng 2013-07-19 01:28:20 EDT
Created attachment 775637 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-09-16 10:38:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.